// Copyright (C) 2021-2024 Bundesministerium des Innern und für Heimat, Referat DG II 6, Maßnahmen Enterprise Resource Management und Elektronische Verwaltungsarbeit
//
// SPDX-License-Identifier: MPL-2.0

import React from 'react';

export function ArbeitshilfenbibliothekMenuIcon(props: React.SVGProps<SVGSVGElement>): React.ReactElement {
  return (
    <svg
      aria-hidden
      width="24"
      height="24"
      viewBox="0 0 24 24"
      fill="none"
      xmlns="http://www.w3.org/2000/svg"
      {...props}
    >
      <g id="icon-menu-Arbeitshilfenbibliothek">
        <g id="Frame">
          <path
            id="Vector"
            d="M23.8176 5.0962C22.0416 3.8002 19.872 3.1186 17.6736 3.1282C15.6192 3.0706 13.6512 3.7042 12.0096 4.8946C10.3776 3.7042 8.4096 3.0802 6.3648 3.1282C4.176 3.109 1.9776 3.8002 0.2016 5.0962C0.0768 5.1826 0 5.3266 0 5.4802V20.389C0 20.5714 0.1056 20.7346 0.2592 20.821C0.4224 20.9074 0.6144 20.8882 0.7584 20.7826C2.3424 19.6306 4.2816 18.997 6.2496 18.997C6.288 18.997 6.3264 18.997 6.3648 18.997C8.2848 18.9202 10.1856 19.573 11.7024 20.7634C11.712 20.773 11.7312 20.7634 11.7504 20.7826C11.7696 20.7922 11.7792 20.8114 11.7984 20.821C11.8656 20.8498 11.9328 20.869 12 20.869C12.0672 20.869 12.144 20.8498 12.2016 20.821C12.2208 20.821 12.2304 20.7922 12.2496 20.7826C12.2592 20.7826 12.2784 20.7826 12.2976 20.7634C13.8144 19.5634 15.7248 18.949 17.6544 18.997C19.6416 18.9394 21.6288 19.6018 23.2416 20.7826C23.3856 20.8882 23.5776 20.9074 23.7408 20.821C23.904 20.7442 24 20.5714 24 20.389V5.4802C24 5.3266 23.9232 5.1826 23.7984 5.0962H23.8176ZM11.5296 19.4674C9.9936 18.4882 8.208 17.9794 6.3648 18.037C4.464 17.9794 2.5824 18.5266 0.9696 19.4962V5.7298C2.5152 4.6642 4.368 4.0882 6.2592 4.0882C6.2976 4.0882 6.336 4.0882 6.3744 4.0882C8.2272 4.0306 10.0512 4.6162 11.5296 5.7202V19.4674ZM23.0496 19.5058C21.4656 18.5554 19.632 18.0466 17.7984 18.0466C17.76 18.0466 17.712 18.0466 17.6736 18.0466C15.8112 17.9986 14.0352 18.4978 12.4896 19.477V5.7298C13.968 4.6258 15.8112 4.0402 17.664 4.0978C17.7024 4.0978 17.7408 4.0978 17.7792 4.0978C19.6512 4.0978 21.5136 4.6738 23.0496 5.7394V19.5058Z"
            fill="white"
          />
          <path
            id="Vector_2"
            d="M14.3808 8.6355C14.4672 8.97297 14.736 9.16767 14.9856 9.05085C15.8976 8.6355 16.8576 8.45378 17.8272 8.49272C18.8544 8.45378 19.92 8.7004 20.9184 9.15469C20.9664 9.18065 21.024 9.19363 21.072 9.19363C21.2736 9.19363 21.456 9.02488 21.5232 8.75231C21.6096 8.41484 21.4752 8.03843 21.2256 7.9346C20.1216 7.42839 18.9792 7.19476 17.8368 7.20774C16.7616 7.1688 15.7056 7.37647 14.6784 7.83076C14.4288 7.94757 14.2944 8.31101 14.3712 8.64848L14.3808 8.6355Z"
            fill="white"
          />
          <path
            id="Vector_3"
            d="M21.2256 11.3877C20.1312 10.8815 18.9792 10.6609 17.8368 10.6609C16.7616 10.6219 15.7056 10.8296 14.6784 11.2839C14.4288 11.4007 14.2944 11.7641 14.3712 12.1016C14.448 12.4391 14.7264 12.6338 14.976 12.517C15.888 12.1016 16.848 11.9199 17.8176 11.9588C18.8448 11.9329 19.9104 12.1665 20.9088 12.6208C20.9568 12.6468 21.0144 12.6597 21.0624 12.6597C21.264 12.6597 21.4464 12.491 21.5136 12.2184C21.6 11.881 21.4656 11.5175 21.216 11.4007L21.2256 11.3877Z"
            fill="white"
          />
        </g>
      </g>
    </svg>
  );
}
